DECK(1)

NAME
deck - Configuration management for Kong and Kong Enterprise

DESCRIPTION
decK helps you manage Kong clusters with a declarative configuration file.

It can be used to export, import or sync entities to Kong.

  Usage:

    deck [command]

  Available Commands:

completion
    Generate the autocompletion script for the specified shell

diff
    Diff the current entities in Kong with the on on disks

dump
    Export Kong configuration to a file

help
    Help about any command

ping
    Verify connectivity with Kong

reset
    Reset deletes all entities in Kong

sync
    Sync performs operations to get Kong's configuration to match the state file

validate
    Validate the state file

version
    Print the version of decK

  Flags:

--ca-cert string
    Custom CA certificate to use to verify Kong's Admin TLS certificate. This value can also be set using DECK_CA_CERT environment variable.

--config string
    config file (default is $HOME/.deck.yaml)

--headers strings
    HTTP Headers(key:value) to inject in all requests to Kong's Admin API. This flag can be specified multiple times to inject multiple headers.

-h, --help
    help for deck

--kong-addr string
    HTTP Address of Kong's Admin API. This value can also be set using DECK_KONG_ADDR

    environment variable. (default "http://localhost:8001")

--no-color
    disable colorized output

--skip-workspace-crud
    Skip API calls related to Workspaces (Kong Enterprise only)

--tls-server-name string
    Name to use to verify the hostname in Kong's Admin TLS certificate. This value can also be set using DECK_TLS_SERVER_NAME environment variable.

--tls-skip-verify
    Disable verification of Kong's Admin TLS certificate. This value can also be set using DECK_TLS_SKIP_VERIFY environment variable.

--verbose int
    Enable verbose verbose logging levels Setting this value to 2 outputs all HTTP requests/responses between decK and Kong.

Use "deck [command] --help" for more information about a command.